Subject: bug#53164: After an ELC+ELN build, don't load the source file into a buffer.

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Jan 2022 20:01:01 +0200

> Date: Mon, 10 Jan 2022 16:50:56 +0000
> From: Alan Mackenzie <[email-masked]>
> 
> emacs-28 and master branches.
> 
> In batch-byte+native-compile (lisp/emacs-lisp/comp.el), the code fails
> to remove the source file argument from command-line-args-left, thus
> causing Emacs (or bootstrap-emacs) to regard this argument as a file to
> be visited after the compilation is complete.
> 
> This can lead (and has led) to bugs.
> 
> Remove this element from command-line-args-left at the end of
> batch-byte+native-compile.

Please show the smallest recipe to reproduce this.  Because I don't
think I follow your description, and in particular I saw no such
problems when building Emacs.

Thanks.